# newgrf_properties.h File Reference

Properties of NewGRF Action 0. More...

Go to the source code of this file.

## Enumerations
enum | PropertyID { PROP_TRAIN_SPEED = 0x09, PROP_TRAIN_POWER = 0x0B, PROP_TRAIN_RUNNING_COST_FACTOR = 0x0D, PROP_TRAIN_CARGO_CAPACITY = 0x14, PROP_TRAIN_WEIGHT = 0x16, PROP_TRAIN_COST_FACTOR = 0x17, PROP_TRAIN_TRACTIVE_EFFORT = 0x1F, PROP_TRAIN_USER_DATA = 0x25, PROP_ROADVEH_RUNNING_COST_FACTOR = 0x09, PROP_ROADVEH_CARGO_CAPACITY = 0x0F, PROP_ROADVEH_COST_FACTOR = 0x11, PROP_SHIP_COST_FACTOR = 0x0A, PROP_SHIP_SPEED = 0x0B, PROP_SHIP_CARGO_CAPACITY = 0x0D, PROP_SHIP_RUNNING_COST_FACTOR = 0x0F, PROP_AIRCRAFT_COST_FACTOR = 0x0B, PROP_AIRCRAFT_SPEED = 0x0C, PROP_AIRCRAFT_RUNNING_COST_FACTOR = 0x0E, PROP_AIRCRAFT_PASSENGER_CAPACITY = 0x0F, PROP_AIRCRAFT_MAIL_CAPACITY = 0x11 }
| List of NewGRF properties used in Action 0 or Callback 0x36 (CBID_VEHICLE_MODIFY_PROPERTY). More...

## Detailed Description

Properties of NewGRF Action 0.

Definition in file newgrf_properties.h.

## Enumeration Type Documentation

enum PropertyID

List of NewGRF properties used in Action 0 or Callback 0x36 (CBID_VEHICLE_MODIFY_PROPERTY).

Names are formatted as PROP_<CLASS>_<NAME>

Todo:
  Currently the list only contains properties which are used more than once in the code. I.e. they are available for callback 0x36.

Enumerator:

  PROP_TRAIN_SPEED | Max. speed: 1 unit = 1/1.6 mph = 1 km-ish/h.
  PROP_TRAIN_POWER | Power in hp (if dualheaded: sum of both vehicles).
  PROP_TRAIN_RUNNING_COST_FACTOR | Yearly runningcost (if dualheaded: sum of both vehicles).
  PROP_TRAIN_CARGO_CAPACITY | Capacity (if dualheaded: for each single vehicle).
  PROP_TRAIN_WEIGHT | Weight in t (if dualheaded: for each single vehicle).
  PROP_TRAIN_COST_FACTOR | Purchase cost (if dualheaded: sum of both vehicles).
  PROP_TRAIN_TRACTIVE_EFFORT | Tractive effort coefficient in 1/256.
  PROP_TRAIN_USER_DATA | User defined data for vehicle variable 0x42.
  PROP_ROADVEH_RUNNING_COST_FACTOR | Yearly runningcost.
  PROP_ROADVEH_CARGO_CAPACITY | Capacity.
  PROP_ROADVEH_COST_FACTOR | Purchase cost.
  PROP_SHIP_COST_FACTOR | Purchase cost.
  PROP_SHIP_SPEED | Max. speed: 1 unit = 1/3.2 mph = 0.5 km-ish/h.
  PROP_SHIP_CARGO_CAPACITY | Capacity.
  PROP_SHIP_RUNNING_COST_FACTOR | Yearly runningcost.
  PROP_AIRCRAFT_COST_FACTOR | Purchase cost.
  PROP_AIRCRAFT_SPEED | Max. speed: 1 unit = 8 mph = 12.8 km-ish/h.
  PROP_AIRCRAFT_RUNNING_COST_FACTOR | Yearly runningcost.
  PROP_AIRCRAFT_PASSENGER_CAPACITY | Passenger Capacity.
  PROP_AIRCRAFT_MAIL_CAPACITY | Mail Capacity.

Definition at line 20 of file newgrf_properties.h.